package fiber

import (
	"github.com/gofiber/fiber/v2"

	"git.dmitriygnatenko.ru/dima/dmitriygnatenko-v2/internal/services/handler"
)

func initPublicHandlers(app *fiber.App, sp ServiceProvider) {
	app.Get(
		"/",
		handler.MainPageHandler(
			sp.CacheService(),
			sp.ArticleRepository(),
		),
	)

	app.Get(
		"/tag/:tag", handler.TagHandler(
			sp.CacheService(),
			sp.ArticleRepository(),
			sp.TagRepository(),
		),
	)

	app.Get(
		"/article/:article",
		handler.ArticleHandler(
			sp.CacheService(),
			sp.ArticleRepository(),
			sp.TagRepository(),
		),
	)
}
